[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObject.ChangeOwnerAndName

Simultaneously change the list owning the object and the name of the object.

## Declaration

Source position: contnrs.pp line 281

`public procedure TFPHashObject.ChangeOwnerAndName(`
`HashObjectList: TFPHashObjectList;`
`const s: shortstring`
`);`

## Arguments

`HashObjectList` |  | Hash list in which to insert object.
`s` |  | New name with which to insert object.

## Description

ChangeOwnerAndName can be used to move the object between hash lists: The object will be removed correctly from the hash list that currently owns it (using the current name), and will be inserted in the list HashObjectList with the new name S.

## Errors

If the new name already is present in the new hash list, an exception will be raised.

## See also

ChangeOwner |  | Change the list owning the object.
Name |  | Current name of the object

The latest version of this document can be found at lazarus-ccr.sourceforge.net.